PIXL-UNIT(1)

NAME
pixl-unit - simple unit test running for Node.js

SYNOPSIS
pixl-unit files ... [options]

DESCRIPTION
This manual page documents briefly the pixl-unit command. pixl-unit is a very simple unit test runner for Node.js.

OPTIONS
This program uses long options, starting with two dashes ('--'), placed at the end of the command-line. A summary of options is included below. For a complete description, see the README.md file.

--color n
    Enables (1) or Disables (0) color output using the chalk module. Default: 1.

--delay n
    Insert a delay between each test by setting this to the desired number of seconds. Default: 0.

--fatal n
    Set this to 1 to exit immediately after the first assertion failure (includes stack trace). Default: 0.

--output filename.json
    Set this to a file path to emit a JSON report (works with quiet mode). Default: "".

--quiet
    Suppresses all output to the console.

--threads n
    Total number of threads to use when executing tests. Default: 1.

--times n
    Run the tests a specified number of times. Default: 1.

--verbose
    Enables verbose output to the console.

SEE ALSO
node(1), /usr/share/doc/node-pixl-unit/README.md.gz.